#!/bin/sh
#
# graymilter.sh - startup script for graymilter on FreeBSD
#
# This goes in /usr/local/etc/rc.d and gets run at boot-time.
#
# Variables available:
#   graymilter_enable='YES/NO'
#   graymilter_program='path'
#   graymilter_socket='path'
#   graymilter_flags='flags'
#
# PROVIDE: graymilter
# REQUIRE: LOGIN FILESYSTEMS

. /etc/rc.subr

name='graymilter'
rcvar='graymilter_enable'

load_rc_config "$name"

# Defaults.
graymilter_enable="${graymilter_enable:-'NO'}"
graymilter_program="${graymilter_program:-'/usr/local/sbin/graymilter'}"
graymilter_socket="${graymilter_socket:-'/var/run/graymilter.sock'}"
graymilter_flags="${graymilter_flags:-'-autoupdate'}"

# Add socket to any given argument.
graymilter_flags="${graymilter_flags} ${graymilter_socket}"

graymilter_precmd()
    {
    if [ -S "$graymilter_socket" ]; then
	warn "Stale socket $graymilter_socket removed."
	rm "$graymilter_socket"
    fi
    }

command="$graymilter_program"
start_precmd='graymilter_precmd'

run_rc_command "$1"
